package cn.qinys.platform.mobile.service;

import cn.qinys.platform.entity.wishing.UserWish;
import cn.qinys.platform.mobile.mapper.UserWishMapper;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

/**
 * @author lie tan
 * @description
 * @date 2026-06-29 21:26
 **/
@SpringBootTest
class AttachmentServiceTest {

    @Resource
    UserWishMapper wishMapper;


    //@Test
    void updateImage() {
        List<UserWish> userWishes = wishMapper.selectList(null);
        for (UserWish wish : userWishes) {
            String image = wish.getImages();
            String s = image.replaceAll("https://image.qinys.cn/202606", "https://image.qinys.cn");
            wish.setImages(s);
            wishMapper.updateById(wish);
        }

    }


}